/*
 * XetPan: a libEtPan! based Mail User Agent
 * Copyright (C) 2002 Melvin Hadasht
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef MAILBOX_TYPES_H
#define MAILBOX_TYPES_H

/*! Mailbox type. */
typedef enum
  {
    XEP_MAILBOX_UNKNOWN = 0,
    XEP_MAILBOX_IMAP,
    XEP_MAILBOX_MBOX,
    XEP_MAILBOX_MH,
    XEP_MAILBOX_NNTP,
    XEP_MAILBOX_POP3
  } XePMailboxType;

typedef struct XePMailbox_s       XePMailbox;

#endif
