/*
 * XetPan: a libEtPan! based Mail User Agent
 * Copyright (C) 2002-2003 Melvin Hadasht
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef XEP_PYTHON_H
#define XEP_PYTHON_H

#include <Python.h>
#include "xetpan-types.h"

int
a_XePPython_is_initialized(void);

void
a_XePPython_initialize(void);

void
a_XePPython_finalize(void);

void
a_XePPython_execute(char *text);

#ifdef USE_PYTHON_WITH_THREAD_SUPPORT
void
a_XePPython_thread_execute(char *text, 
			   PyThreadState *thread_state);

PyThreadState *
a_XePPython_thread_state_new(void);

void
a_XePPython_thread_main_acquire(void);

void
a_XePPython_thread_main_release(void);
#endif

#endif
